<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');
?>
<div class="col-md-12 pr  dib np" data-bind="with:members,css : { 'team' : parent().is_new_mode() == false}">
	<!-- ko if:parent().is_new_mode() == false -->
	<div class="btn-save-ctl pull-right">
		<button name="edit" id="edit" class="btn btn-sm edit vh" data-bind="hidden:is_edit_mode, click:edit"><i class="icon-pencil">&nbsp;</i><?php echo lang('EDIT'); ?></button>
		<div class="btn-group" data-bind="visible:is_edit_mode">
			<button class="btn btn-sm btn-success" id="save" data-bind="click:save" name="save">
				<i class="icon-save icon-white">&nbsp;</i><?php echo lang('SAVE'); ?>
			</button>
			<button class="btn btn-sm btn-primary" id="cancel" data-bind="click:cancel" name="cancel">
				<i class="icon-remove-sign icon-white">&nbsp;</i>
			</button>
		</div>
	</div>
	<!-- /ko -->
	<div class="content no-padding no-margin table-responsive">
		<!-- ko ifnot:is_edit_mode -->
		<table id="team-table" cellpadding="0" cellspacing="0" class="members_table col-lg-11 col-md-11 table table-striped">
			<colgroup>
				<col style="width:40px;"/>
				<col />
				<col class="col-lg-2" />
				<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
				<col class="col-lg-2" />
				<!-- /ko -->
				<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
				<col class="col-lg-2" />
				<!-- /ko -->
				<col class="col-lg-2" />
				<col class="col-lg-1" />
			</colgroup>
			<thead>
				<tr>
					<th class="wnw al" colspan="2"><?php echo lang('TEAM') . ' ('; ?><!-- ko text:members_count --><!-- /ko -->&nbsp;<?php echo lang('MEMBERS') . ')'; ?></th>					
					<th class="wnw al"><?php echo lang('ROLE')?></th>					
					<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
					<th class="wnw ar"><?php echo lang('HOURLY_RATE') . '(' . CURRENCY . ')'; ?></th>
					<!-- /ko -->
					<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
					<th class="wnw ar"><?php echo lang('ESTIMATED') . '(' . lang('HRS') . ')'; ?></th>
					<!-- /ko -->
					<th class="wnw ar"><?php echo lang('ACTUAL') . '(' . lang('HRS') . ')'; ?></th>
					<th class="wnw ac">&nbsp;</th>
				</tr>
			</thead>
			<tbody data-bind="foreach:items">
				<tr>
					<td class="">
						<img class="roundedimg" data-bind="attr:{title:first_name}, img:(user_image()!='' ? Otime.USIP + user_image() : Otime.baseUrl+ 'assets/img/noimg32.png')"/>
					</td>
					<td class="wnw" data-bind="text:first_name"></td>					
					<td class="wnw al vam" data-bind="text:Otime.Project.roles[user_role()]"></td>
					<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
					<td class="ar" data-bind="text:hourly_rate"></td>
					<!-- /ko -->
					<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
					<td class="ar vam" data-bind="hours:{val:estimated_hours}"></td>
					<!-- /ko -->
					<td class="ar vam" data-bind="hours:{val:actual_hours}"></td>
					<td class="ac">&nbsp;</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td class="npt npb vam" colspan="2"><h5><?php echo lang('TOTAL'); ?></h5></td>
					<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
					<td class=" npt npb vam">&nbsp;</td>
					<!-- /ko -->					
					<td class=" ar npt npb vam"></td>					
					<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
					<td class="text-center npt npb vam">
						<h4 class="dib" data-bind="hours:{val:eht}"></h4>
						<!-- ko if:$root.user_role()=='A' || $root.user_role()=='F' -->
						<h4 class="nm" data-bind="currency:{val:ehta, symbol:'<?php echo CURRENCY; ?>'}"></h4>
						<!-- /ko -->
					</td>
					<!-- /ko -->
					<td class="ar npt npb vam">
						<h4 class="dib" data-bind="hours:{val:aht}"></h4>
						<!-- ko if:$root.user_role()=='A' || $root.user_role()=='F' -->
						<h4 class="nm" data-bind="currency:{val:ahta, symbol:'<?php echo CURRENCY; ?>'}"></h4>
						<!-- /ko -->
					</td>
					<td class="text-center npt npb vam"></td>
				</tr>
			</tfoot>
		</table>
		<!-- /ko -->
		<!-- ko if:is_edit_mode -->
		<div class="dib fw" data-bind="gridify:gridify_params" tabindex="0">
			<table id="team-table" cellpadding="0" cellspacing="0" class="members_table edit-table col-lg-11 col-md-11">
				<colgroup>
					<col style="width:40px;"/>
					<col />
					<col class="col-lg-2" />
					<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
					<col class="col-lg-2" />
					<!-- /ko -->
					<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
					<col class="col-lg-2" />
					<!-- /ko -->
					<col class="col-lg-1" />
				</colgroup>
				<thead>
					<tr>
						<th class="wnw al" colspan="2"><?php echo lang('TEAM') . ' ('; ?><!-- ko text:(items().length - 1) --><!-- /ko -->&nbsp;<?php echo lang('MEMBERS') . ')'; ?></th>					
						<th class="wnw al"><?php echo lang('ROLE')?></th>					
						<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
						<th class="wnw ar"><?php echo lang('HOURLY_RATE') . '(' . CURRENCY . ')'; ?></th>
						<!-- /ko -->
						<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
						<th class="wnw ar"><?php echo lang('ESTIMATED') . '(' . lang('HRS') . ')'; ?></th>
						<!-- /ko -->
						<th class="wnw ac">&nbsp;</th>
					</tr>
				</thead>
				<tbody class="editable_table" data-bind="visible:is_edit_mode, foreach:items" style="border-bottom:2px solid #DDD">
					<tr>
						<td class="dbl dbt">
							<img class="roundedimg" data-bind="attr:{title:first_name}, img:(user_image()!='' ? Otime.USIP + user_image() : Otime.baseUrl+ 'assets/img/noimg32.png')"/>
						</td>
						<td class="fname dbt dbr" data-bind="text:first_name() + ' ' + last_name()"></td>
						<td class="wnw usrrole dbl dbt dbr vam" data-bind="text:Otime.Project.roles[user_role()]"></td>
						<!-- ko if:($root.user_role()=='A' || $root.user_role()=='F') && ($root.budget().budget_type()=='AP' || $root.invoice.invoice_type()=='P') -->
						<td class="hrate ar dbt dbl dbr vam" data-bind="text:hourly_rate"></td>
						<!-- /ko -->
						<!-- ko if:$root.budget().budget_type()=='HP' || $root.budget().budget_type()=='AP' -->
						<td class="esthours ar dbt dbl dbr vam" data-bind="text:estimated_hours"></td>
						<!-- /ko -->
						<td class="ac dbt dbr nbl vam">
							<span class="delete cp" id="delete" data-bind="click:$parent.removeItem, visible:user_role" ><i class="icon-remove"></i></span>						
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<!-- /ko -->
		<div class="hidder pa" id="hidder-member" style="border:1px solid #0474BE;background:#FFFFFF;display:none;">
			<input type="text" id="txt-normal" class="nb ar" />
			<input type="text" id="txt-rate" class="nb ar" value="0" data-bind="numberOnly:true" />
			<div id="select-members" class="">
				<select class="form-control input-sm">
					<option value="0"><?php echo lang('SELECT_USER'); ?></option>
					<!-- ko foreach:membersArr -->
					<option data-bind="value:user_id, text:user_name"></option>
					<!-- /ko -->
					<option value="separator" disabled="">----------------------------</option>
					<option value="-1"><?php echo lang('ADD_NEW_USER'); ?></option>
				</select>
			</div>
			<div id="select-role" class="">
				<select class="form-control input-sm">
					<option value=""><?php echo lang('SELECT_ANY_ROLE'); ?></option>
					<?php
						foreach ($roles as $key=>$val):
							echo('<option value="' . $key . '">' . $val . '</option>');
						endforeach;
					?>
				</select>
			</div>
		</div>
	</div>
</div>
<script type="text/html" id="members_search_tmpl">
<div>
	<span class="pull-left">
		<img style="max-width:38px;" alt="" src="" data-bind="img:(user_image ? Otime.USIP + user_image : Otime.baseUrl+ 'assets/img/noimg_32.png')"/>
	</span>
	<span class="pull-left">
		<strong><!-- ko text:first_name --><!-- /ko --></strong>
		<div class="clearfix"></div>
		<i><!-- ko text:user_role --><!-- /ko --></i>
	</span>
</div>
</script>
<div class="clearfix"></div>
