<?php	if ( !defined('BASEPATH')) exit('No direct script access allowed');
if (empty($columns))
{
	
} else {

if(($key = array_search('detail_filter', $columns)) !== false) {
    unset($columns[$key]);
}
$total = array();
$total_required = array('TS', 'ES');
$format_array = array("dd/mm/yyyy"=> "d/m/Y", "mm/dd/yyyy"=>"m/d/Y", "mmm dd, yyyy" => "M d, Y", "yyyy-mm-dd" => "Y-m-d");
switch ($export_type) {
	case 'csv':
			$heading = '';
			if (!isset($columns_detail)) {
				foreach ($columns as $val)
				{
					if(in_array($settings['report_code'], $total_required) && $val != $group_by)
					$total[$val] = 0;
					$heading.= lang($this->report_lib->columns[$val]['label']).",";			
				}
			} else {
				foreach ($columns_detail as $val)
				{
					if (in_array($val[0], $columns)) {
						$heading.= lang($val[1]).",";
					}				
				}
			}			
			echo trim($heading,',').PHP_EOL;
			$values = '';
			foreach ($items as $item)
			{
				unset($item['detail_filter']);
				reset($item);
				foreach ($columns as $key) {
					$val = isset($item[$key])? $item[$key]:'-'; 
					// prepare time detail
					if ($key==REP_START_AND_END_TIME) {
						if ($time_details && !empty($time_details[$val])) {
							$tmp	= '';
							foreach ($time_details[$val] as $tkey => $tval) {
								$tmp .= implode(' - ', $tval).", ";
							}
							$val = trim($tmp, ", ");
						} else {
							$val = '-';
						}
					}
					$val = (is_numeric($val)) ? sprintf('%0.2f', round($val,2)) : $val;
					$val = $val=='0000-00-00'?'-':$val;
					if(isValidDate($val)){
						$date_format = strtolower($date_format);
						$val = (array_key_exists($date_format, $format_array)) ? date($format_array[$date_format], strtotime($val)) : $val;
					}
					if (!is_numeric($val)) {
						$val = '"'.$val.'"';
					}
					if(in_array($settings['report_code'], $total_required) && $key != $group_by)
						$total[$key] += $val;
					$values.=$val.',';			
				}

				$values = trim($values,',').PHP_EOL;
			}

			if(!empty($total)) {
					$values.=lang('TOTAL').',';
					foreach ($columns as $val)
					{ 	
						if(in_array($settings['report_code'], $total_required) && $val != $group_by)				
						$values.=$total[$val].',';				
					}
					$values = trim($values,',').PHP_EOL;
				}
			echo $values;
	break;
	case 'xls':
	?>
	<table style="width:100%">
		<tr>
			<?php
				if (!isset($columns_detail)) {
					foreach ($columns as $val)
					{
						if(in_array($settings['report_code'], $total_required) && $val != $group_by)
						$total[$val] = 0;
						echo "<th>".lang($this->report_lib->columns[$val]['label'])."</th>";				
					}
				} else {
					foreach ($columns_detail as $val)
					{
						if (in_array($val[0], $columns)) {
							echo "<th>".$val[1]."</th>";
						}				
					}
				}
			?>
		</tr>
		<?php
			foreach ($items as $item)
			{
				unset($item['detail_filter']);
				echo "<tr>";
				foreach ($columns as $key) {
					$val = isset($item[$key])? $item[$key]:'-'; 
					$val = $val=='0000-00-00'?'-':$val;
					// prepare time detail
					if ($key==REP_START_AND_END_TIME) {
						if ($time_details && !empty($time_details[$val])) {
							$tmp	= '';
							foreach ($time_details[$val] as $tkey => $tval) {
								$tmp .= implode(' - ', $tval).", ";
							}
							$val = trim($tmp, ", ");
						} else {
							$val = '-';
						}
					}
					if(isValidDate($val)){
						$date_format = strtolower($date_format);
						$val = (array_key_exists($date_format, $format_array)) ? date($format_array[$date_format], strtotime($val)) : $val;
					} else {
						$val = (is_numeric($val)) ? sprintf('%0.2f', round($val,2)) : $val;
					}
					if(in_array($settings['report_code'], $total_required) && $key != $group_by)
						$total[$key] += $val;
					echo "<td style='width:25%'>".$val."</td>";					
				}
				echo "</tr>";
			}
			if(!empty($total)) {
					echo "<tr>";
					echo "<td style='width:25%'>".lang('TOTAL')."</td>";
					foreach ($columns as $val)
					{ 	
						if(in_array($settings['report_code'], $total_required) && $val != $group_by)				
						echo "<td style='width:25%'>".$total[$val]."</td>";
					}
					echo "</tr>";
			}
		?>
		<tr></tr>
	</table>
	<?php
	break;
	default:
	?>
	<div class="pdfheader">
			<table cellspacing="0" cellpadding="0" style="width:100%;">
				<tr><td style="text-align:center;"><?php echo lang('REPORT_'.$settings['report_code'].'_TITLE');?></td></tr>
				<tr><td style="text-align:center;font-size:12px"><?php echo  ' by '. $filtertext; ?></td></tr>
				<tr><td style="text-align:center;font-size:13px"><?php echo ' From '. date('d M, Y',strtotime($filters['from_date'])).' To '.date('d M, Y',strtotime($filters['to_date']));?></td></tr>
			</table>
	</div>
	<table cellspacing="0" cellpadding="0" border="0" id="pdfreport" style="width:100%;">
			<tr>
				<?php
				$width = 'width:'.round((100/count($columns))).'%;';
				if (!isset($columns_detail)) {
					foreach ($columns as $val)
					{
						if(in_array($settings['report_code'], $total_required) && $val != $group_by)
						$total[$val] = 0;
						echo "<th style='".$width."'>".lang($this->report_lib->columns[$val]['label'])."</th>";				
					}
				} else {
					foreach ($columns_detail as $val)
					{
						if (in_array($val[0], $columns)) {
							echo "<th style='".$width."'>".$val[1]."</th>";
						}				
					}
				}			
				?>
			</tr>
			<?php
				foreach ($items as $item)
				{	$count = 0;
					unset($item['detail_filter']);
					echo "<tr>";
					foreach ($columns as $key) {
						$count++;
						$val = isset($item[$key])? $item[$key]:'-'; 
						$val = $val=='0000-00-00'?'-':$val;
						// prepare time detail
						if ($key==REP_START_AND_END_TIME) {
							if ($time_details && !empty($time_details[$val])) {
								$tmp	= '';
								foreach ($time_details[$val] as $tkey => $tval) {
									$tmp .= implode(' - ', $tval).", ";
								}
								$val = trim($tmp, ", ");
							} else {
								$val = '-';
							}
						}
						$val = (is_numeric($val)) ? sprintf('%0.2f', $val) : $val;
						$class = ($count == 1)? 'aleft' : 'aright';
						if(in_array($settings['report_code'], $total_required) && $key != $group_by)
						$total[$key] += $val;
						if($key=='SS') {
							echo "<td class='".$class."' style='".$width."'><span class='button' style='background:" . $item['SB'] . ";color:" . $item['SX'] . "'>".$val."</span></td>";
						} else {
							if(isValidDate($val)){
								$date_format = strtolower($date_format);
								$val = (array_key_exists($date_format, $format_array)) ? date($format_array[$date_format], strtotime($val)) : $val;
							}
							echo "<td class='".$class."' style='".$width."'>".$val."</td>";
						}
					}
					echo "</tr>";
				}
				if(!empty($total)) {
					echo "<tr>";
					echo "<td class='bold' style='".$width."'>".lang('TOTAL')."</td>";
					foreach ($columns as $val)
					{ 	
						if(in_array($settings['report_code'], $total_required) && $val != $group_by)				
						echo "<td class='aright bold' style='".$width."'>".sprintf('%0.2f', $total[$val])."</td>";				
					}
					echo "</tr>";
				}
			?>
			<tr></tr>
		</table>
	<style>
	.pdfheader {
		width:100%;
		border:1px solid #AAA;	
		background:#EBFFC4;
	}
	.pdfheader td {
		width: 100%;		
		height: 15px;
		font-size:15px;
	}
	table
	{	
		table-layout:inherit;
	}
	th {
		font-size:13px;
		text-align:center;
		vertical-align:bottom;
		padding:8px;
	}
	#pdfreport td {
		border-top: solid 2px #DDDDDD;
		font-size:13px;
		padding:8px;	
	}
	.aleft {
		text-align:left;
		white-space:nowrap;
	}
	.aright {
		text-align:right;
	}
	.button {
		padding: 10px 5px;
	}
	.bold {
		font-weight:bold;
	}
	</style>
	<?php
	}
}
function isValidDate($date)
{
	if(preg_match("/^(\d{4})-(\d{2})-(\d{2})$/", $date, $matches))
	{
		if(checkdate($matches[2], $matches[3], $matches[1]))
		{
			return true;
		}
	}
}
?>
