<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	set_cache_header();
?>
<?php $this->load->view('tasks/column_tmpl'); ?>
<script type="text/html" id="task-tmpl">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"></div>
		<span class="title"><?php echo lang('TASK'); ?></span>
		<?php /*<div class="btn-group btn-sm btn-toggle dib">
			<button data-bind="click:$root.swap_view" class="btn btn-sm btn-primary active"><?php echo lang('TASK'); ?></button>
			<button data-bind="click:$root.swap_view" class="btn btn-sm btn-default"><?php echo lang('TASK_TODO'); ?></button>
		</div>*/ ?>
		<div class="dib" style="padding:5px;max-width:350px;min-width:300px;width:auto;">
			<select data-bind="value:$root.project_id, options:$root.projects, optionsText:'label', optionsValue:'value', optionsCaption:'<?php echo lang('SELECT_PROJECT'); ?>', chosen:true" class="form-control input-sm nm">
			</select>
		</div>
		<?php	/* ##FILTERS## */ ?>
		<div class="btn-group btn-sm dib">
			<button class="btn btn-success btn-sm icon-white icon-save" title="Save" data-bind="click: $root.save"></button>
			<button class="btn btn-default btn-sm icon insert-above" title="Insert above" data-bind="click: $root.insertAbove">
				<i class="icon">&nbsp;</i>
			</button>
			<button class="btn btn-default btn-sm icon insert-below" title="Insert below" data-bind="click: $root.insertBelow">
				<i class="icon">&nbsp;</i>
			</button>
			<button class="btn btn-default btn-sm icon-arrow-right" title="Indent" data-bind="click: $root.indent"></button>
			<button class="btn btn-default btn-sm icon-arrow-left" title="Outdent" data-bind="click: $root.outdent"></button>
			<button class="btn btn-default btn-sm icon-level-up" title="Move up" data-bind="click: $root.moveUp"></button>
			<button class="btn btn-default btn-sm icon-level-down" title="Move down" data-bind="click: $root.moveDown"></button>
			<button class="btn btn-default btn-sm icon-remove" title="Delete" data-bind="click: $root.deleteItem"></button>
<?php /*
			<button class="btn btn-default icon-copy" title="Copy" data-bind="click: $root.copy"></button>
			<button class="btn btn-default icon-paste" title="Paste" data-bind="click: $root.paste"></button>
*/ ?>
		</div>
		<div class="btn-group btn-sm dib">
			<button class="btn btn-default btn-sm btn-gantt" title="<?php echo lang('GANTT_CHART'); ?>" data-bind="css:{'active':$root.is_gantt}, click:$root.showGantt">
				<span class="ico"></span>
			</button>
			<!-- ko if:$root.is_gantt -->
			<button class="btn btn-default" title="Zoom In" data-bind="click: $root.zoomIn"><span class="icon-zoom-in"></span></button>
			<button class="btn btn-default" title="Zoom Out" data-bind="click: $root.zoomOut"><span class="icon-zoom-out"></span></button>
			<!-- /ko -->
			<button class="btn btn-default btn-sm icon-time" title="<?php echo lang('MY_HOURS'); ?>" data-bind="css:{'active':$root.is_tsw}, click:$root.showTSW"></button>
<?php /*	<button class="btn btn-default btn-sm icon-columns" title="<?php echo lang('COLUMNS'); ?>" data-bind="click:$root.showColumns"></button> */ ?>
		</div>
		<div class="pull-right" style="margin-top:10px;">
			<button class="btn btn-default btn-sm icon-tasks" data-bind="click:$root.showPComments" title="<?php echo lang('COMMENTS'); ?>"></button>
			<a role="button" href="javascript:;" data-toggle="dropdown" class="dropdown-toggle btn btn-default btn-sm icon icon-cog"></a>
			<ul class="dropdown-menu">
				<li class="" data-bind="css:{'disabled':!isToDo()}"><a href="javascript:;" class="task" data-bind="click:$root.swap_view">Detail View</a></li>
				<li class="" data-bind="css:{'disabled':isToDo}"><a href="javascript:;" class="todo" data-bind="click:$root.swap_view">Compact View</a></li>
				<li class="divider" role="separator"></li>
				<li><a href="javascript:;" data-bind="click:$root.showColumns"><?php echo lang('COLUMNS'); ?></a></li>
			</ul>
		</div>
		<?php /*
		<a class="minimize pull-right" href="javascript:;" onClick="$('body').toggleClass('fs');" style="margin-top:5px;">
			<i class="icon-resize-small icon-metro"></i>
		</a>
		<a title="Maximize" class="maximize pull-right" href="javascript:;" onClick="$('body').toggleClass('fs');" style="margin-top:5px;display:none;">
			<i class="icon-resize-full icon-metro"></i>
		</a> */?>
		<div class="dib">
			<div class="col-md-6 col-sm-6 np" id="task_type_filter" style="display:none">
				<select class="form-control input-sm" data-bind="options:$root.search_task_types, optionsText:'label', optionsValue:'id', value:$root.task_type_id, chosen:{close:$root.resetPos}">
				</select>
			</div>
			<div class="col-md-6 col-sm-6 np" id="task_status_filter" style="display:none">
				<select class="form-control input-sm" data-bind="options:$root._info.task_status, optionsText:'name', optionsValue:'task_status_id', value:$root.task_status_id, chosen:{close:$root.resetPos}">
				</select>
			</div>
			<div class="col-md-6 col-sm-6 np" id="task_assignee_filter" style="display:none">
				<select data-bind="foreach:$root.users_sort, value:$root.task_assignee_id, chosen:{close:$root.resetPos,imgSelect:true}" class="form-control input-sm">
					<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
				</select>
			</div>
		</div>
	</div>
	<div id="body-container" class="container np fw fh">
		<div id="list-container" class="container np fh" data-bind="css:{'tgrid':!$root.isToDo(), 'pinned':is_pinned}">
			<div class="dropdown" id="contextMenu" style="position:absolute;">
				<ul class="dropdown-menu">
					<li><a class="menuitem" data-bind="click:$root.insertAbove" href="javascript:;"><?php echo lang('INSERT_ABOVE'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.insertBelow" href="javascript:;"><?php echo lang('INSERT_BELOW'); ?></a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.indent" href="javascript:;"><?php echo lang('INDENT'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.outdent" href="javascript:;"><?php echo lang('UN_INDENT'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.moveUp" href="javascript:;"><?php echo lang('MOVE_UP'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.moveDown" href="javascript:;"><?php echo lang('MOVE_DOWN'); ?></a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.copy" href="javascript:;"><?php echo lang('COPY'); ?>&nbsp;&nbsp;&nbsp;(Ctrl + C)</a></li>
					<li><a class="menuitem" data-bind="click:$root.paste" href="javascript:;"><?php echo lang('PASTE'); ?>&nbsp;&nbsp;(Ctrl + V)</a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.showPaneComments" href="javascript:;"><?php echo lang('COMMENTS'); ?></a></li>
					<li><a class="menuitem" data-bind="click:$root.showPaneDoc" href="javascript:;"><?php echo lang('DOCUMENTS'); ?></a></li>
					<li class="divider nm"></li>
					<li><a class="menuitem" data-bind="click:$root.deleteItem" href="javascript:;"><?php echo lang('DELETE'); ?></a></li>
				</ul>
			</div>
			<div id="header-container" class="container pr fw npl" data-bind="css:{'gantt':$root.is_gantt, 'tsw':$root.is_tsw}">
				<div id="vph" class="dib" style="width:100%;">
					<div id="box1-head" class="container np pr pull-left" style="width:20%;min-height:30px;">
						<table class="table table-bordered dt nm">
							<colgroup>
								<col class="" style="max-width: 60px; width: 45px;">
								<col class="" style="max-width: 30px; width: 25px;">
								<col class="" style="max-width: 30px; width: 25px;">
								<col class="" style="width:auto;">
							</colgroup>
							<thead>
								<tr class="unselectable">
									<th class="ac"><span class="dib wnw fw pr cp" data-bind="click:sort('task_number')">#</span></th>
									<th class="ac"><span class="icon icon-paperclip"></span></th>
									<th class="ac"><span class="icon icon-comments"></span></th>
									<th class="nbr"><span class="dib wnw fw cp" data-bind="click:sort('name')"><?php echo lang('TASK_NAME'); ?></span></th>
								</tr>
							</thead>
						</table>
					</div>
					<div id="box2-head" class="container np pr pull-left" style="width:80%;min-height:30px;">
						<table class="table table-bordered dt nm">
							<colgroup>
							</colgroup>
							<thead>
								<tr class="unselectable"></tr>
							</thead>
						</table>
					</div>
					<!-- ko if:$root.is_gantt -->
					<div id="box3-head" class="container np pr fh pull-left" style="width:30%;">
						<div id="ganttHead" class="dt nm">
							<table cellspacing=0 cellpadding=0 id="ghTable" class="ganttTable table table-bordered nm"></table>
						</div>
					</div>
					<!-- /ko -->
					<!-- ko if:$root.is_tsw -->
					<div id="box3-head" class="container np fh pull-left" data-bind="with:$root.tsw" style="width:30%;">
						<table id="tswTable-head" class="tsw-tbl-head nm table table-bordered dt">
							<colgroup data-bind="foreach:{data:columns, as:'column'}"><?php /*
								<col style="min-width:30px;width:30px;">
								<!-- ko foreach:{data:columns, as:'column'} -->
								*/?><col style="min-width:60px;width:60px;"><?php /*
								<!-- /ko -->
								<col style="min-width:60px;width:60px;">
							*/?></colgroup>
							<thead>
								<tr class="unselectable" data-bind="foreach:{data:columns, as:'column'}"><?php /*
									<th class="ac">
										<span class="icon icon-chevron-left cp fw" data-bind="click:nav('-')"></span>
									</th>
									<!-- ko foreach:{data:columns, as:'column'} -->
									*/?><th class="ac" data-bind="css:{'holyH':column.isLeave}">
										<span class="prev icon icon-chevron-left cp" data-bind="visible:($index()==0), click:$parent.nav('-')"></span>
										<small data-bind="text:column.month"></small>
										<span class="h5 dib nm" data-bind="text:column.sdate"></span>
										<span class="nxt icon icon-chevron-right cp" data-bind="visible:($index()==$parent.columns().length-1), click:$parent.nav('+')"></span>
<?php /*								<span class="dib fw" data-bind="text:column.day"></span>
										</br>
										<span class="h4 dib nm fw" data-bind="text:column.sdate"></span>
	 									</br>
										<span class="dib fw label" data-bind="css:{'label-default':!column.isToday, 'label-danger':column.isLeave, 'label-success':column.isToday}, text:column.hours"></span>
								*/ ?></th><?php /*
									<!-- /ko -->
									<th class="ac">
										<span class="icon icon-chevron-right cp fw" data-bind="click:nav('+')"></span>
										<span class=""><?php echo lang('ACT_HRS'); ?></span>
									</th>
								*/ ?></tr>
							</thead>
						</table>
					</div>
					<!-- /ko -->
				</div>
			</div>
			<div id="pane-container" class="" data-bind="css:{'gantt':$root.is_gantt, 'tsw':$root.is_tsw}">
				<div id="grid-pane" class="" data-bind="css:{'pane-open':isPane, 'fh':isRightPane}">
					<div tabindex="0" id="grid-container" class="container np fw unselectable" data-bind="gridify:gridify_params" task-list-cnt='true'>
						<div class="fw dib" id="view-port">
							<div class="container np pr cont" style="width:20%;" id="box1-body">
								<table id="task-table1" class="task-tbl table table-bordered dt nm">
									<colgroup>
										<col for="tnum" style="max-width: 60px; width: 45px;">
										<col for="documents" style="max-width: 30px; width: 25px;">
										<col for="comments" style="max-width: 30px; width: 25px;">
										<col for="tname" style="width:auto;">
									</colgroup>
									<tbody class="editable" id="tasks" data-bind="template:{name:'mainTmpl1', foreach:items}">
									</tbody>
								</table>
									<span class="cell-top"></span>
									<span class="cell-right"></span>
									<span class="cell-bottom"></span>
									<span class="cell-left"></span>
								<div class="hidder pa" id="hidder0">
									<input type="text" id="txt-normal" class="nb" onfocus="var a=this.value;this.value='';this.value=a;" />
								</div>
							</div>
							<div class="container np pr cont" id="box2-body" style="width:80%;">
								<table id="task-table2" class="task-tbl table table-bordered dt nm">
									<colgroup>
									</colgroup>
									<tbody class="editable" id="tasks2" data-bind="template:{name:'mainTmpl2', foreach:items}">
									</tbody>
								</table>
									<span class="cell-top"></span>
									<span class="cell-right"></span>
									<span class="cell-bottom"></span>
									<span class="cell-left"></span>
								<div class="hidder pa" id="hidder1">
									<input type="text" id="txt-normal" class="nb" onfocus="var a=this.value;this.value='';this.value=a;" />
									<input type="text" id="txt-duration" class="nb" maxlength="5" value="0" data-bind="numberOnly:{keyCodes:[58]}" />
									<div id="task_type_box" class="">
										<select data-bind="options:$root.task_types, optionsValue:'id', optionsText:'label', value:0" class="form-control input-sm">
										</select>
									</div>
									<div id="followers_box" class="">
										<select multiple="multiple" data-bind="foreach:$root.users_sort().slice(1), selectedOptions:[]" class="form-control input-sm">
											<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
										</select>
									</div>
									<div id="assignee_box" class="">
										<select data-bind="foreach:$root.users_sort()" class="form-control input-sm">
											<option data-bind="value:user_id, text:first_name, attr:{'data-img-src':user_image}"></option>
										</select>
									</div>
									<div id="status_box" class="">
										<select data-bind="options:$root.task_status, optionsText:'name', optionsValue:'task_status_id'" class="form-control input-sm">
										</select>
									</div>
									<div id="date-picker" class="ac cp">
										<h6 style="padding:4px 6px;" class="wnw pull-left fw nm"></h6>
										<input type="text" class="dtpicker cp pa fw fh" />
									</div>
								</div>
							</div>
							<!-- ko if:$root.is_gantt -->
							<div id="box3-body" class="gantt-body container np pr cont" style="width:30%;">
								<div id="ganttBody" class="pa dib fh">
									<table cellspacing=0 cellpadding=0 id="gbTable" class="ganttTable table table-bordered nm fh"></table>
								</div>
								<div id="ganttC" class="gantt unselectable nm scroll">
									<div class="task-list-group" data-bind="if:$root.show_gantt">
										<!-- ko template:{name:'gantt-task-box', foreach:items} --><!-- /ko -->
										<div class="ganttLinks"></div>
									</div>
								</div>
							</div>
							<!-- /ko -->
							<!-- ko if:$root.is_tsw -->
							<div id="box3-body" class="container np pr cont" data-bind="with:$root.tsw" style="width:30%;">
								<table id="tswTable" class="tsw-tbl table dt nm table-bordered">
									<colgroup data-bind="foreach:{data:columns, as:'column'}"><?php /*
										<col style="min-width:30px;width:30px;">
										<!-- ko foreach:{data:columns, as:'column'} -->
									*/?><col style="min-width:60px;width:60px;"><?php /*
										<!-- /ko -->
										<col style="min-width:60px;width:60px;">
									*/?></colgroup>
									<tbody data-bind="template:{ name:'tswTmpl', foreach:$root.items, as:'item'}">
									</tbody>
								</table>
									<span class="cell-top"></span>
									<span class="cell-right"></span>
									<span class="cell-bottom"></span>
									<span class="cell-left"></span>
								<div class="hidder pa" id="hidder2">
									<input type="text" id="txt-hours" class="nb" maxlength="3" value="0" data-bind="numberOnly:true" />
								</div>
							</div>
							<!-- /ko -->
						</div>
					</div>
					<div id="scroller" class="container np fw">
						<div id="scr1" class="scr pull-left nb nm np">
							<div class="bar"></div>
						</div>
						<div id="scr2" class="scr pull-left nb nm np">
							<div class="bar"></div>
						</div>
						<!-- ko if:($root.is_gantt()||$root.is_tsw()||$root.is_tsa()) -->
						<div id="scr3" class="scr pull-left nb nm np">
							<div class="bar"></div>
						</div>
						<!-- /ko -->
					</div><?php /*
					<!-- ko ifnot:isRightPane -->
					<span class="swapPane">
						<a href="javascript:;" class="icon " data-bind="css:{'icon-chevron-up':!isPane(),'icon-chevron-down':isPane}, click:swapPane"></a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:;" class="icon icon-retweet" data-bind="click:swapPanePos"></a>
					</span>
					<!-- /ko -->
				*/?></div><?php /*
				<!-- ko ifnot:isRightPane -->
				<?php $this->load->view('tasks/bottom_pane_tmpl'); ?>
				<!-- /ko -->
			*/?></div>
		</div>
		<!-- ko if:isRightPane -->
		<?php $this->load->view('tasks/right_pane_tmpl'); ?>
		<!-- /ko -->
		<?php /* ?>
		<div data-bind="visible:is_edit_mode, with:editItem" class="bottom-span">
		</div>
		<div data-bind="slideVisible:is_edit_mode" style="display:none;"class="page_slide">
			<div id="edit_layout" class="page_slide_layout"></div>
		</div>
		<?php */ ?>
		<div class="fade in pa tsw-popup y-popup" id="tsa-popup" style="display:none;min-width:150px;right:100%;" data-bind="with:tsa_popup">
			<div class="popover-content">
				<ul data-bind="foreach:list" class="list-unstyled dib fw nm vam">
					<li class="">
						<span class="pull-left" data-bind="text:first_name"></span>
						<span class="pull-right" data-bind="hours:{val:hours}"></span>
					</li>
				</ul>
			</div>
		</div>
		<div class="tsheet popover fade in pa" id="popover" style="display:none;" data-bind="with:tsDetails">
			<div class="" data-bind="with:tsheet"><?php
				$this->load->view('timesheet/timesheet_popup', array('is_task_page'=>true));
			?></div>
		</div>
		<div id="pcomments" class="page-slide width-inherit auto-height set_slider" data-bind="with:CommentsHandler, css:{'col-lg-5 col-md-5 show opened':is_pcomments, 'closed':!is_pcomments()}" style="display:none;">
			<div id="right-pane" class="col-xs-12 col-sm-6 col-md-6 col-lg-4 dib open">
				<div id="comments-container" class="panel sidebar-fixed-header panel-custom nm">
					<div class="panel-body minrp">
						<style type="text/css">.panel.sidebar-fixed-header .panel-body{top:0;}</style>
						<!-- ko if:$parent.rp_min_view --><?php
						$this->load->view('comments/timeline', array('module' => 'minimal', 'is_script_only' => '1'));
						?><!-- /ko -->
						<!-- ko ifnot:$parent.rp_min_view -->
						<div class="tab-pane active"><?php
							$this->load->view('comments/timeline', array('module' => 'expanded', 'is_script_only' => '1'));
						?></div>
						<!-- /ko -->
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="no-record" class="container np fw fh ac h3" style="display:none;"><?php echo lang('NO_RECORD_TO_DISPLAY'); ?></div>
	<div id="tsk-loading" class="container np fw fh ac h3" ><?php echo lang('LOADING'); ?>...</div>
	<!-- div id="loading" class="container np fw fh ac h3">Loading...</div -->
</script>
<script type="text/html" id="mainTmpl1">
	<!-- ko if:is_visible -->
	<tr class="" data-bind="attr:{title:tooltip, 'level':$parents.length}, cls:'task_'+uniqueId()+' num_'+form.task_number(), css:{'ne':!is_editable(), 'over-due':is_over_due, 'closed':is_closed<?php //, 'td':is_today?>}">
		<td class="id cp ar tnum"  target="tnum" skip="1">
			<span title="High Priority" data-bind="visible:form.task_priority()==1" class="text-danger h5 b">&#8593;</span>
			<span title="Low Priority" data-bind="visible:form.task_priority()==3" class="text-success h5 b">&#8595;</span>
			<a href="javascript:;" data-bind="text:form.task_number"></a>
		</td>
		<td target="documents" class="doc cp" data-bind="if:has_attachments" skip="1">
			<span class="icon icon-paperclip"></span>
		</td>
		<td target="comments" class="comments cp" data-bind="if:has_comments" skip="1">
			<span class="icon icon-comments"></span>
			<span class="balloon" data-bind="text:new_comments"></span>
		</td>
		<td class="tname" target="tname" data-bind="css:{'parent':children().length>0}, style:{paddingLeft:(($parents.length-1)*20)+5 + 'px'}">
			<span class="excol cp" data-bind="css:{'col':show_child()==false}, click:$root.swapView"></span>
			<span class="dib" style="padding:0 0 0 1px;" data-bind="text:form.name"></span>
		</td>
	</tr>
	<!-- ko template:{name:'mainTmpl1', foreach:children, if:show_child} --><!-- /ko -->
	<!-- /ko -->
</script>
<?php
	$this->load->view('tasks/right_pane_script_tmpl');
	$this->load->view('tasks/gantt_tmpl');
	$this->load->view('tasks/timesheet_week_tmpl');
?>
