<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}
?>

<div id="tsa-container" class="cutter-top">
	<div class="page-header-bar">
		<span class="title"><?php echo lang('TIME_SHEET_APPROVE'); ?></span>
		<div class="col-md-2 btn-group btn-toggle" style="margin-top:9px;z-index:10;"> 
			<button class="btn btn-sm btn-primary active" data-bind="click:swap_view"><?php echo lang('APPROVE'); ?></button>
			<button class="btn btn-sm btn-default" data-bind="click:swap_view"><?php echo lang('REVOKE'); ?></button>
		</div>
		<ul class="btns list-inline">
			<li>
				<?php if(!is_member()): ?>
				<a href="javascript:;" data-bind="click:Otime.Menu.loadURL('timesheet', true)" title="<?php echo lang('MY_TIMESHEET'); ?>">
					<i class="icon-calendar icon-metro img-circle"></i>
				</a>
				<a href="javascript:;" class="selected" title="<?php echo lang('APPROVE'); ?>">
					<i class="icon-ok icon-metro img-circle"></i>
				</a>
				<a href="javascript:;" data-bind="click:Otime.Menu.loadURL('timesheet/team', true)" title="<?php echo lang('MY_TEAM'); ?>">
					<i class="icon-group icon-metro img-circle"></i>
				</a>
				<?php endif; ?>
			</li>
		</ul>
		<div id="alert_message" class="ac col-md-5 fix-it"></div>
	</div>
	<?php if (!$from_module) {?>
	<div class="row">
		<div class="col-md-5 col-md-offset-7">
			<div class="row searchBox">
				<?php if(!empty($task_types)) { ?>
				<div class="pull-right col-md-6">
					<select class="chosen-select" multiple="true" name="faculty" data-bind="selectedOptions:task_type_value, chosen:true">
						<option value="0"><?php echo lang('ALL_MY_TASK_TYPES'); ?></option>
					<?php foreach($task_types as $key=>$value): ?>
						<option value="<?php echo $value['task_type_id']; ?>"><?php echo $value['name']; ?></option>
					<?php endforeach; ?>
					</select>
				</div>
				<?php } ?>
				<?php if(!empty($projects)) { ?>
				<div class="pull-right col-md-6">
					<select class="chosen-select" multiple="true" name="faculty" data-bind="selectedOptions:proj_value, chosen:true">
						<option value="0"><?php echo lang('ALL_MY_PROJECTS'); ?></option>
					<?php foreach($projects as $key=>$value): ?>
						<option value="<?php echo $value['project_id']; ?>"><?php echo $value['project_code'].$value['project_name']; ?></option>
					<?php endforeach; ?>
					</select>
				</div>
				<?php } ?>
			</div>
		</div>
	</div>
	<?php } ?>
	<div class="clearfix">&nbsp;</div>
	<div class="panel-group table-striped" id="accordion" data-bind="foreach: {data: listing, as: 'apprlist'}">
		<div class="panel panel-default">
		  	<div class="panel-heading dib fw">
				<?php if (!$from_module) { ?>
				<div class="col-md-5 col-xs-8 np vam">
					<a class="accordion-toggle np col-xs-2" data-toggle="collapse" data-parent="#accordion" data-bind="attr: { href: '#' + $index()}">
						<span class="icon icon-chevron-right cp dib ac" data-bind="click:$root.loadTimeList, css:{'icon-chevron-right':is_open()==false, 'icon-chevron-down':is_open}"></span>
					</a>
					<div class="col-xs-10 np">
				<?php } else {?>
				<div class="col-md-6 np nmr">
					<div class="col-md-12">
				<?php } ?>
						<img data-bind="img:user_image, attr:{title:first_name}" class="img32x32 thumb-img" style="margin-right:8px;"/>
						<div class="dib vam">
							<h5 class="nm"><!-- ko text:first_name --><!-- /ko -->	<!-- ko text:last_name --><!-- /ko --></h5>
							<!-- ko if:timesheetdays()>1 -->
								<span class="period"><!-- ko text:timesheetdays --><!-- /ko --> <?php echo lang('DAYS'); ?> (<!-- ko text:from_date_format --><!-- /ko --> - <!-- ko text:to_date_format --><!-- /ko -->)</span>
							<!-- /ko -->
							<!-- ko if:timesheetdays()==1 -->
								<span class="period" data-bind="text:from_date_format"></span>
							<!-- /ko -->
						</div>
					</div>
				</div>
				<div class="col-md-2 col-xs-4 ar" style="margin-top: 4px;">
					<b class="tot" data-bind="hours:{val:user_hours, showNull:true}"></b>
					&nbsp;<span class="sub-title"><?php echo lang('HRS'); ?></span>
				</div>
				<div id="approve_reject" class="col-md-4 col-xs-12 np ar dib">
					<button id="approve" class="btn btn-success btn-sm input-sm" data-bind="click:$parent.approveList"><strong><?php echo lang('APPROVE'); ?></strong></button>&nbsp;&nbsp;&nbsp;
					<button id="reject" class="btn btn-danger btn-sm input-sm" data-bind="click:$parent.rejectList"><strong><?php echo lang('REJECT'); ?></strong></button>
				</div>
		    </div>
		    <div class="panel-collapse collapse" data-bind="attr:{id:$index()}">
			    <div class="panel-body nb" data-bind="if:Object.keys(days()).length>0">
					<table class="table table-bordered">
						<colgroup>
							<col class="col-sm-3">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
							<col class="col-sm-1">
						</colgroup>
						<thead>
							<tr class="active">
								<th class="vam nbr">
<?php	/*
									<div class="col-sm-5 np">
										<div class="pr pull-left">
											<span class="pull-left h5 nm" style="padding:4px 6px; font-weight:normal;" data-bind="date:{date:_info.current_date}"></span>
											<input type="text" class="input-sm dtpicker np nm cp" data-bind="value:_info.current_date, datepicker:{autoclose:true}" />
										</div>
										<div class="pull-left">
											<button data-bind="click:$root.prev" class="btn no-bg nb np icon-chevron-left dib"></button>
											<button data-bind="click:$root.next" class="btn no-bg nb np icon-chevron-right dib"></button>
										</div>
										<br/>
									</div>
*/	?>
									<div class="ac dib fw vam">
										<div class="ac dib">
											<div style="position:relative;" data-bind="attr:{title:_info.cd_format}" class="date-picker">
												<span style="padding:5px;" class="h5 dib"><!-- ko text:_info.nth_week --><!-- /ko --><sup><!-- ko text:(["st", "nd", "rd"][_info.nth_week()-1]||"th") --><!-- /ko --></sup> <?php echo lang('WEEK'); ?></span>
												<input type="text" data-bind="value:_info.current_date, datepicker:true" class="input-sm dtpicker npl npr cp nm">
											</div>
											<br/>
											<span class="h1 vam dib" data-bind="hours:{val:tot_week_hours, showNull:true}"></span>
											<br/>
											<div class="btn-group vam dib" data-bind="if:tot_week_hours()-0>0">
												<a href="javascript:;" class="btn btn-success btn-xs" data-bind="click:$root.approve_week" title="<?php echo lang('APPROVE_WEEK'); ?>"><i class="icon-white icon-ok"></i></a>
												<a href="javascript:;" class="btn btn-danger btn-xs" data-bind="click:$root.reject_week" title="<?php echo lang('REJECT_WEEK'); ?>"><i class="icon-white icon-remove"></i></a>
											</div>
										</div>
										
									</div>
								</th>
								<th class="ac vam nbl">
									<span data-bind="click:$root.prev" title="Previous week" class="icon icon-chevron-left icon-large dib cp ac"></span>
								</th>
								<!-- ko foreach:Object.values(days()) -->
								<th class="text-center nbr nbb" data-bind="attr:{title:$root.getToolTipD($data)}, css:{'holyH':is_leave, 'approved':is_approved}" id="time_content_td">
									<a href="javascript:;">
										<span data-bind="text:day_name" class="day nm"></span>
										<span class="clearfix"></span>
										<span data-bind="text:day_value" class="date cp dib text-center"></span>
										<span class="clearfix"></span>
										<span class="dib label" data-bind="css:{'label-danger':is_leave,'label-default':!is_leave()}">
											<h5 data-bind="hours:{val:hours, showNull:true}" class="nm"></h5>
										</span>
										<span class="clearfix"></span>
										<div class="approve_reject">
											<span data-bind="click:$root.approveDayEntry($parent)" class="icon-ok"></span>
											<span data-bind="click:$root.rejectDayEntry($parent)" class="icon-remove"></span>
										</div>
									</a>
								</th>
								<!-- /ko -->
								<th class="ac vam">
									<span data-bind="click:$root.next" title="Next week" class="icon icon-chevron-right icon-large dib cp ac"></span>
								</th>
							</tr>
						</thead>
						<tbody data-bind="foreach:items">
							<tr>
								<td colspan="2" style="overflow:hidden;text-overflow:ellipsis" class="al" title="" data-bind="attr:{title:project_task_name}">
									<span data-bind="text:project_task_name" class="h4 task_name wnw"></span>
									<br>
									<div class="dib fw">
										<span data-bind="text:project_code()+project_name()" class="gray np"></span>&nbsp;&nbsp;
										<span class="clearfix visible-xs"></span>
										<span data-bind="text:task_type_name" class="np"></span>
									</div>
								</td>
								<!-- ko foreach:Object.values($parent.days()) -->
								<td class="ac vam" data-bind="css:{'holyH':is_leave, 'active':is_approved},hours:{val:$parent.hours_list()[entry_date]}"></td>
								<!-- /ko -->
								<td class="ac vam" data-bind="hours:{val:total_hours}"></td>
							</tr>
						</tbody>
					</table>
			    </div>
			</div>
		</div>
	</div>
	<div class="text-center" data-bind="visible:listing().length==0" style="display:none;">
		<span class="well"><?php echo lang('NO DATA FOUND'); ?></span>
	</div>
</div>

<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}
?>
<script type="text/javascript">
$(document).ready(function(){
	<?php if (!$from_module): ?>
	window.Otime.load("TimeSheetApprove");
	<?php endif; ?>
});
</script>
