<?php
	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
		exit('No direct script access allowed');
?>
<div id="comments-container" class="panel sidebar-fixed-header panel-primary">
	<?php
		if (!empty($module)):
			echo '<div class="panel-heading">';
		endif;
		if (empty($module)):
	?>
	<div class="panel-heading">
		<div style="margin-right:10px;" class="pull-right btn-group">
			<a data-bind="css:{'active':filter()=='both'}, click:loadItem('both')" title="All" class="btn btn-xs btn-primary active">
				<span class="" style="color:#FFFFFF;">All</span>
			</a>
			<a data-bind="css:{'active':filter()=='attachments'}, click:loadItem('attachments')" title="Attachments" class="dib btn btn-xs btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-link"></i>
			</a>
			<a data-bind="css:{'active':filter()=='comments'}, click:loadItem('comments')" title="Comments" class="dib btn btn-xs btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-comments"></i>
			</a>
			<a data-bind="css:{'active':filter()=='activity'}, click:loadItem('activity')" title="Activities" class="dib btn btn-xs btn-primary active">
				<i style="color:#FFFFFF;" class="icon icon-ellipsis-horizontal"></i>
			</a>
		</div>
		<?php elseif ($module == 'comments'): ?>
		<span class="pull-left h3"><?php echo lang('COMMENTS'); ?></span>
		<?php elseif ($module == 'activity'): ?>
			<?php if(isset($type) && $type == 'invoice'):?>
				<span class="pull-left h3 nm">	<?php echo lang('INVOICE_ACTIVITY');?></span>
			<?php elseif(isset($type) && $type == 'estimate'):?>
				<span class="pull-left h3 nm">	<?php echo lang('ESTIMATE_ACTIVITY');?></span>
			<?php else:?>
				<span class="pull-left h3 nm">
					<img class="img28x28" data-bind="img:user_image_path, attr:{title:user_name}" />
					<span data-bind="text:user_name"></span>
				</span>
			<?php endif;?>
		<?php endif;?>

		<?php if (!empty($module)): ?>
			<button class="btn btn-primary btn-sm pull-right" data-bind="click:close_handler" id="cancel">
				<span class="icon-remove-sign icon-white"></span>
			</button>
		<?php endif; ?>
	</div>
	<div class="panel-body npl" style="height:calc(100% - 140px);height: -webkit-calc(100% - 140px);">
		<div class="timeline nb" data-bind="template:{name:'comments-tmpl'}"></div>
	</div>
</div>
<?php
	if (empty($module) || $module == 'comments'):
		$flag	= 1;
		include(FCPATH . APPPATH . 'views/comments/template.php');
	elseif ($module == 'activity'):
		$flag	= 2;
		include(FCPATH . APPPATH . 'views/comments/template.php');
	endif;
?>
<script type="text/javascript">
	$(document).ready(function(){
		$('#myTab a').click(function(e){
			e.preventDefault();
			$(this).tab('show');
		});
	});
</script>
