<?php	if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	switch($name)
	{
		case 'project_invoice':
			$this->load->view('estimate/project_invoice');
			break;
		case 'activity':
			$this->load->view('comments/timeline', array('module'=>'activity','type'=>'estimate'));
			break;
		case 'view':
?>
<div class="out-container no-right-cnt">
	<!-- ko if:is_view_mode -->
	<div class="row">
		<div class="col-md-12">
			<div class="btn-group form-group">
				<!-- ko if:status() =='d' -->
				<button type="button" data-bind="click:edit" class="btn btn-default"><?php echo lang('EDIT'); ?></button>
				<?php if (is_admin()): ?>
				<button data-toggle="modal" href="#e-mails"  type="button" data-bind="click:function(){update_status('s', true);}" class="btn btn-default"><?php echo lang('EMAIL'); ?></button>
				<?php endif; ?>
				<!--  /ko -->
				<?php if (is_admin()): ?>
				<?php if($mode=='estimate'): ?>
				<!-- ko if:status()!='i' -->
					<button data-toggle="modal" href="#invoices" type="button" class="btn btn-default" data-bind="click:function(){update_status('i');}"><?php echo lang('INVOICE'); ?></button>
				<!-- /ko -->
				<?php else: ?>
				<!-- ko if:amount()>0 -->
				<button href="javascript:;" type="button" class="btn btn-default" data-bind="click:payment"><?php echo lang('Payment'); ?></button>
				<!-- /ko -->
				<div class="modal" id="payment" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-bind="with:_info.payment_add">					
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header npb">
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
								<div class="row nm">
									<div class="pull-left">
										<br/>
										<h3 class="no-margin" data-bind="text:'<?php echo lang('INVOICE'); ?> '+invoice_number()"></h3>
									</div>
									<div class="pull-right">
										<!-- ko if:$parent._info.outstanding_amount -->
										<span class="pull-right"><?php echo lang('BALANCE'); ?></span>
										<br/>
										<h2 class="pull-right nmt" data-bind="currency:{val:$parent._info.outstanding_amount, symbol:$parent._info.currency}"></h2>
										<br/>
										<!-- /ko -->
										<h6 class="pull-right"><?php echo lang('TOTAL'); ?>&nbsp;<span class="pull-right" data-bind="currency:{val:$parent._info.total, symbol:$parent._info.currency}"></span></h6>
									</div>
								</div>
								<div class="clearfix">&nbsp;</div>
								<div class="row nm">
									<div class="pull-left">
										<h4><?php echo lang('PAYMENT'); ?></h4>
									</div>
									<div class="pull-right col-md-3">
										<h4><?php echo lang('AMOUNT'); ?></h4>
									</div>
								</div>
							</div>
							<div class="modal-body">
								<form class="np" role="form">
									<div class="">
										<div class="row">
											<div class="col-md-4 input-group pull-left">
												<div style="position:relative;" class="pull-left">
													<h4 style="padding:4px 6px;" class="pull-left nm" data-bind="text:nav_date"></h4>
													<input type="text" id="date-picker" data-bind="value:payment_date, datepicker:true" class="input-sm dtpicker npl npr cp">
												</div>
												<div class="pull-left">
													<button type="button" class="btn icon-chevron-up split up no-bg np" data-bind="click:function($data, elem){dtchange($data, elem, '+1');}"></button>
													<button type="button" class="btn icon-chevron-down split no-bg np" data-bind="click:function($data, elem){dtchange($data, elem, '-1');}"></button>
												</div>
											</div>
											<div class="col-md-4">
												<input class="form-control" type="text" placeholder="<?php echo lang('PAYMENT'); ?>" data-bind="numberOnly:true, value:payment_number" maxlength="11"/>
											</div>
											<div class="col-md-4">
												<input class="form-control" type="text" placeholder="<?php echo lang('AMOUNT'); ?>" data-bind="numberOnly:true, value:amount" required="required" maxlength="11"/>
											</div>
										</div>
										<div class="clearfix">&nbsp;</div>
										<textarea class="subjects form-control" data-bind="value:description" placeholder="<?php echo lang('DESCRIPTION'); ?>" maxlength="255" style="max-width:100%; min-width:100%; height: 32px;"></textarea>
									</div> 
								</form>
								<br/>
								<button data-bind="click:$parent.payment_save" class="btn btn-success pull-right"><i class="icon icon-save icon-white"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?></button>
								<br/>
							</div>
						</div>
					</div>
				</div>
				<?php endif; ?>
				<?php endif; ?>
			</div>
			<div class="btn-group action pull-right">
				<button type="button" class="btn btn-status" data-bind="css:status_class(), text:status_display"></button>
				<?php if (is_admin()): ?>
				<button type="button" class="btn btn-list dropdown-toggle" data-bind="css:status_class()" data-toggle="dropdown">
    				<span class="caret"></span>
  				</button>
  				<!-- ko if:status()!="b"&&status()!="p" -->
				<ul class="dropdown-menu al" role="menu" data-bind="foreach:_info.status">
					<!-- ko if:$data.status!="b"&&$data.status!="p" -->
						<li>
							<a href="javascript:;" data-bind="click:function(){$parent.update_status($data.status);}"><!-- ko text:$data.value --> <!-- /ko --></a>
						</li>
					<!-- /ko -->
				<?php /*
					foreach (array_slice($status, 0, 2) as $key=>$val)
					{
						echo '<li data-bind="attr:{ \'data-toggle\': \''.$key.'\'==\'S\'||\'I\' ? \'modal\':\'\' }" ><a href="javascript:;" data-bind="click:function(){update_status(\''.$key.'\');}">' . $val . '</a></li>';
					}*/
				?>
				</ul>
				<!-- /ko -->
				<?php endif; ?>
			</div>
		</div>
	</div>
	<div class="clearfix">&nbsp;</div>
	<div class="row page-view" style="background:#fff">
		<div class="detail col-md-12">
			<div class="col-md-12 np">
			<?php if($mode=='estimate'): ?>
				<div class="h3 pull-left" style="margin-bottom:10px;" data-bind="text:'<?php echo lang('ESTIMATE'); ?> '+estimate_number()"></div>
				<div class="pull-right">
					<span style="margin-top: 7px" class="text-info cp" data-bind="click:download_pdf"><?php echo lang('EXPORT_AS_PDF'); ?></span>
					<!--  <i class="cp icon-remove" data-bind="click:closeItem"></i>-->
				</div>
				<div class="clearfix">&nbsp;</div>
				<div class="dib" style="width:100%">
					<span class="pull-left">
						<!-- ko if:_info.client_code -->
							<!-- ko text:_info.client_code --><!-- /ko --> - <!-- /ko --><!-- ko text:_info.client_name --><!-- /ko -->						
						<!-- /ko -->
					</span>
					<span class="pull-right"><?php echo lang('DATE'); ?> : <!-- ko text:estimate_dt --><!-- /ko --></span>
				</div>
			<?php else: ?>
				<h3 class="no-margin" data-bind="text:'<?php echo lang('INVOICE'); ?> '+invoice_number()"></h3>
				<div class="clearfix">&nbsp;</div>
				<div class="dib" style="width:100%">
					<span class="pull-left"><!-- ko if:_info.client_code --><!-- ko text:_info.client_code --><!-- /ko --> - <!-- /ko --><!-- ko text:_info.client_name --><!-- /ko --></span>
					<span class="pull-right" data-bind="text:invoice_date"></span>
				</div>
			<?php endif; ?>
				<!-- ko if:client_company -->
				<span class="clearfix"></span>
				<span class="client_company" data-bind="text:client_company"></span>
				<!-- /ko -->
				<!-- ko foreach: _info.contacts -->
					<!-- ko if:$parent.client_contact_id()==client_contact_id -->
						<span class="clearfix"></span>
						<span data-bind="text:name"></span>
						<span class="clearfix"></span>
						<span data-bind="html:($parent.address()+'').replace(/\n/g, '</br>')"></span>
						<span class="clearfix"></span>
						<span data-bind="visible:$data.workphone"><?php echo lang('PHONE'); ?> : <!-- ko text:$data.workphone --><!-- /ko --></span>
						<span class="clearfix"></span>
						<span data-bind="visible:$data.mobile"><?php echo lang('MOBILE'); ?> - <!-- ko text:$data.mobile --><!-- /ko --></span>
						<span class="clearfix">&nbsp;</span>
					<!-- /ko -->
				<!-- /ko -->
				<!-- ko if:subject -->
				<span class="clearfix"></span>
				<span><span class="gray"><?php echo lang('SUBJECT'); ?></span>&nbsp;:&nbsp;<!-- ko text:subject --><!-- /ko --></span>
				<!-- /ko -->
			</div>
			<table cellpadding="0" cellspacing="0" class="table invoice_descp_table">
				<thead>
					<tr class="well thead-colored nb">
						<th class="al nbr col-md-5" style="border:1px solid #dddddd;"><?php echo lang('DESCRIPTION'); ?></th>
						<th class="ar nbl nbr col-md-2" style="border:1px solid #dddddd;"><?php echo lang('QTY'); ?></th>
						<th class="ar nbl nbr col-md-2" style="border:1px solid #dddddd;"><?php echo lang('UNIT'); ?></th>
						<th class="ar nbl nbr col-md-2" style="border:1px solid #dddddd;"><?php echo lang('AMOUNT'); ?><!-- ko if:tax1_enable -->&nbsp;<sup>(<?php echo lang('TAX'); ?>)</sup><!-- /ko --></th>
						<th class="col-md-1  text-center nbl" style="border:1px solid #dddddd;">&nbsp;</th>
					</tr>
				</thead>
				<tbody data-bind="foreach:details">
					<tr class="box-condensed">
						<td class="al col-md-5 dbr dbt dbb" data-bind="text:description"></td>
						<td class="ar col-md-2 dbr dbt dbb" data-bind="currency:{val:quantity}"></td>
						<td class="ar col-md-2 dbr dbt dbb" data-bind="currency:{val:rate, symbol:$parent._info.currency}"></td>
						<td class="ar col-md-2 bg-grey" data-bind="currency:{val:amount, symbol:$parent._info.currency}"></td>
						<td class="col-md-1 bg-grey npl">
							<!-- ko if:enabled_tax().length>0 -->
							<sup>(<!-- ko text:enabled_tax().join(",") --><!-- /ko -->)</sup>
							<!-- /ko -->
						</td>
					</tr>
				</tbody>
				<tbody class="no-border tdnptb">
					<!-- ko if:(is_discount()==true || tax1_amount()>0 || tax2_amount()>0 || tax3_amount()>0) -->
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<strong class="gray"><?php echo lang('SUB_TOTAL'); ?></strong>
						</td>
						<td class="ar">
							<span data-bind="currency:{val:sub_total,symbol:_info.currency}"></span>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- /ko -->
					<!-- ko if:is_discount -->
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<div class="gray">- <?php echo lang('DISCOUNT'); ?><span data-bind="visible:discount_type()=='P', text:' ('+discount_value()+'%)'"></span></div>
						</td>
						<td class="ar">
							<span data-bind="currency:{val:discount_amount, symbol:_info.currency}"></span>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- /ko -->
					<!-- ko if:(tax1_amount()>0) -->
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<span class="gray" data-bind="text:'+ '+tax1_name()+' ('+tax1_percentage()+'%)'"></span>
						</td>
						<td class="ar">
							<span data-bind="currency:{val:tax1_amount, symbol:_info.currency}"></span>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- /ko -->
					<!-- ko if:(tax2_amount()>0) -->
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<span class="gray" data-bind="text:'+ '+tax2_name()+' ('+tax2_percentage()+'%)'"></span>
						</td>
						<td class="ar">
							<span data-bind="currency:{val:tax2_amount, symbol:_info.currency}"></span>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- /ko -->
					<!-- ko if:(tax3_amount()>0) -->
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<span class="gray" data-bind="text:'+ '+tax3_name()+' ('+tax3_percentage()+'%)'"></span>
						</td>
						<td class="ar">
							<span data-bind="currency:{val:tax3_amount, symbol:_info.currency}"></span>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- /ko -->
					<?php if($mode == 'invoice'): ?>
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<strong class="nm"><?php echo lang('INVOICE_TOTAL'); ?></strong>
						</td>
						<td class="ar">
							<strong class="nm" data-bind="currency:{val:_info.total, symbol:_info.currency}"></strong>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- ko foreach:_info.payment_list -->
					<tr>
						<td class="text-center" colspan="2"></td>
						<td class="ar cp" data-bind="click:$parent.payment"><!-- ko text:nav_date --><!-- /ko -->&nbsp;&nbsp;<span class="text-info"><?php echo lang('PAYMENT'); ?>#:&nbsp;&nbsp;<!-- ko text:payment_number --><!-- /ko --></span></td>
						<td class="ar col-md-2 ">
							<a data-bind="click:$parent.payment, currency:{val:amount, symbol:$parent._info.currency}" class="cp text-info"></a>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
					<!-- /ko -->
					<?php endif; ?>
				</tbody>
				<tfoot class="label-default">
					<tr class="bold">
						<td>&nbsp;</td>
						<td>&nbsp;</td>
						<td class="ar">
							<strong class="nm fg-white"><?php echo lang('TOTAL'); ?></strong>
						</td>
						<td class="ar">
							<span class="nm">
								<strong class="fg-white npr" data-bind="currency:{val:amount, symbol:_info.currency}"></strong>
							</span>
						</td>
						<td class="npl">&nbsp;</td>
					</tr>
				</tfoot>
			</table>
			<div class="col-md-12 np" data-bind="visible:notes">
				<span class="col-md-12 np"><?php echo lang('NOTES'); ?></span>
				<span class="col-md-12 np" data-bind="text:notes"></span>
				<span class="clearfix">&nbsp;</span>
			</div>
			
			<?php if ($mode == 'invoice' && $type != 'deposit'): ?>
			<!-- ko if:_info.out_cr()>0 && amount()>0 -->
			<div class="col-md-12 np">
				<div class="np">
					<div class="alert alert-success dib pull-right">
						<p><b data-bind="text:_info.client_name"></b> <?php echo lang('HAS_AN_OUTSTANDING_CREDIT_OF'); ?> <b data-bind="currency:{val:_info.out_cr, symbol:_info.currency}"></b>&nbsp;&nbsp;
						<!-- ko if:amount()>_info.out_cr() -->
						<a href="javascript:;" class="btn btn-success" data-bind="click:pay_in_dep, html:'Apply '+_info.currency()+_info.out_cr()+' <?php echo lang('FOR_THIS_INVOICE'); ?>'"></a>
						<!-- /ko -->
						<!-- ko if:amount()<=_info.out_cr() -->
						<a href="javascript:;" class="btn btn-success" data-bind="click:pay_in_dep, html:'Apply '+_info.currency()+amount()+' <?php echo lang('FOR_THIS_INVOICE'); ?>'"></a>
						<!-- /ko -->
						</p>
					</div>
				</div>
			</div>
			<!-- /ko -->
			<?php endif; ?>
			<div class="text-info cp" data-bind="click:show_comments"><?php echo lang('ESTIMATE_ACTIVITY'); ?></div>
			<span class="clearfix">&nbsp;</span>
			<div class="row comments-container" data-bind="visible:estimate_id()>0">				
				<div class="timeline nml nb both_feed" data-bind="with:CommentsHandler">
					<!-- ko with:rp --><ul class="media-list dib nm" data-bind="template:{name:'activity', foreach:timeline}"></ul><!-- /ko -->
				</div><?php
					$this->load->view('comments/timeline', array('flag'=>2, 'module'=>'activity', 'is_script_only' => 1));
			?></div>
		</div>
	</div>
	<!-- /ko -->
	<!-- ko if:!is_view_mode() && is_edit_mode -->
	<div class="row">
		<div class="col-md-12">
			<div class="btn-group pull-right">
				<button type="button" data-bind="click:save" class="btn btn-sm btn-success"><i class="icon icon-save icon-white"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?></button>
				<button class="btn btn-primary btn-sm" data-bind="click:cancelEdit" name="cancel">
					<span class="icon-remove-sign icon-white"></span>
				</button>
			</div>
		</div>
	</div>
	<div class="clearfix">&nbsp;</div>
	<div class="row">
		<div class="col-md-12">
			<div class="row">
				<?php if($mode=='estimate'): ?>
					<div class="col-md-7">
						<div class="form-horizontal">
							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo lang('ESTIMATION#'); ?></label>
								<div class="col-md-6">
									<input type="text" class="input-sm form-control nmb" data-bind="value:estimate_number" placeholder="<?php echo lang('ESTIMATION'); ?>" maxlength="16" />
									<!-- ko if:is_new &&last_used-->
									<label class="gray input-sm" style="font-size:10px;"><?php echo lang('LAST_USED'); ?> : <!-- ko text:last_used --><!-- /ko --></label>
									<!-- /ko -->
								</div>
							</div>	
							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo lang('DATE'); ?></label>
								<div class="col-md-3" style="width:150px;">
									<div class="form-control date-picker">
										<span class="pull-left nm" style="padding:5px;" data-bind="text:estimate_dt"></span>
										<input type="text" id="date-picker" data-bind="value:estimate_date, datepicker:true" class="input-sm dtpicker npl npr cp">
									</div>
								</div>								
							</div>		
						</div>			
					</div>
				<?php else: ?>
					<div class="col-md-7" data-bind="css: {'col-md-12' : Otime.Invoice.is_slide_opened}">
						<div class="form-horizontal">
							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo lang('INVOICE#'); ?></label>
								<div class="col-md-6">
									<input type="text" class="input-sm form-control nmb" data-bind="value:invoice_number" placeholder="<?php echo lang('INVOICE'); ?>" maxlength="16" />
									<!-- ko if:is_new &&last_used-->
										<label class="gray input-sm" style="font-size:10px;"><?php echo lang('LAST_USED'); ?> : <!-- ko text:last_used --><!-- /ko --></label>
									<!-- /ko -->
								</div>
							</div>					
							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo lang('DATE'); ?></label>
								<div class="col-md-6">
									<input type="text" class="input-sm form-control" data-bind="value:invoice_date, datepicker:{format:format_date()}" placeholder="<?php echo lang('Date'); ?>" maxlength="16" readonly="true" />
								</div>
							</div>	
							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo lang('DUE_DATE_FREQUENCY'); ?></label>
								<div class="col-md-6">
									<select class="input-sm form-control" data-bind="value:due_date_mode">
									<?php
										foreach ($this->config->config['due_date_mode'] as $key => $val)
										{
											echo '<option value="'.$key.'">'.$val.'</option>';
										}
									?>
									</select>
								</div>
							</div>
							<div class="form-group">
								<div class="col-md-6 col-md-offset-2 gray">
									<!-- ko if:due_date_mode()!='C' -->
									<label class="col-md-3 np"><?php echo lang('DUE_DATE'); ?> : </label>
									<label data-bind="text:due_date"></label>
									<!-- /ko -->
									<!-- ko if:due_date_mode()=='C' -->
										<label class="col-md-3 np"><?php echo lang('DUE_DATE'); ?> : </label>
										<div class="col-md-9 np">
											<input type="text" class="input-sm form-control" data-bind="value:due_date, datepicker:{startDate:invoice_date()}" placeholder="<?php echo lang('Date'); ?>" readonly="true"/>
										</div>
									<!-- /ko -->							
								</div>
							</div>							
							<?php if ($type != 'deposit'): ?>
								<div class="form-group">
									<div class="col-md-6 col-md-offset-2">
										<div class="checkbox">
											<label>
												<input type="checkbox" value="" data-bind="checked:is_recurring_check" />
												<?php echo lang('RECURRING_INVOICE'); ?>
											</label>
										</div>
									</div>
								</div>
								<div class="form-group" data-bind="if:is_recurring_check">
									<div class="col-md-6 col-md-offset-2 gray">
										<div id="frequency" class="well bg-white">
											<div class="form-group">
												<label class="col-md-4 np"><?php echo lang('FREQUENCY'); ?></label>
												<div class="col-md-8 np">
													<select class="input-sm form-control" data-bind="value:recurring_mode">
														<?php
															foreach ($this->config->config['recurring_mode'] as $key => $val)
															{
																echo '<option value="'.$key.'">'.$val.'</option>';
															}
														?>
													</select>
												</div>
											</div>
											<!-- ko if:recurring_mode -->
											<div class="form-group">
												<label class="col-md-4 np"><?php echo lang('NEXT_INVOICE_DATE'); ?></label>
												<div class="col-md-8 np">
													<label><!-- ko text:recurring_next_inv_date --><!-- /ko --></label>
												</div>
											</div>
											<div class="form-group">
												<div class="col-md-12 np">
													<label class="checkbox">
														<input type="checkbox" value="" /><?php echo lang('SEND_AUTOMATIC_MAIL'); ?>
													</label>
												</div>
											</div>
											<!-- /ko -->
										</div>
									</div>
								</div>
							<?php endif; ?>
							<div class="form-group">
								<label class="col-md-2 control-label"><?php echo lang('SUBJECT'); ?></label>
								<div class="col-md-10">
									<textarea class="form-control" data-bind="value:subject" placeholder="<?php echo lang('SUBJECT'); ?>" maxlength="255" row="5"></textarea>		
								</div>
							</div>
						</div>
					</div>
				<?php endif; ?>	
				<div class="col-md-5" data-bind="css: {'col-md-12' : Otime.Invoice.is_slide_opened}">
					<div class="form-horizontal">
						<div class="form-group">
							<label class="col-md-3 control-label"><?php echo lang('CLIENT'); ?></label>
							<div class="col-md-9">
								<?php if(!empty($clients)) { ?>
<!--								<input class="input-sm form-control" type="text" data-bind="value:_info.client_name, autoComplete:{source:getClients(), select:setClient}" />-->
									<select class="form-control input-sm" id="project_client" data-bind="value:client_id, options:clients, optionsText:'client_name', optionsValue:'client_id'"></select>
								<?php } else { ?>
								<input class="input-sm form-control" type="text" data-bind="value:_info.client_name" />
								<?php } ?>
							</div>
						</div>
						<div class="form-group">
							<label class="col-md-3 control-label"><?php echo lang('CONTACT'); ?></label>
							<div class="col-md-9">
								<select class="input-sm form-control" data-bind=" value:client_contact_id, options:_info.contacts, optionsText:'name', optionsValue:'client_contact_id'">
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-md-3 control-label"><?php echo lang('ADDRESS'); ?></label>
							<div class="col-md-9"><textarea class="form-control input-sm" data-bind="value:address" rows="" cols="" placeholder="Address"></textarea></div>
						</div>	
						<div class="form-group">
							<label class="col-md-3 control-label"><?php echo lang('CURRENCY'); ?></label>
							<div class="col-md-9">
								<select class="form-control input-sm" data-bind="value:currency_code">
								<?php
									foreach ($currency as $key=>$val)
									{
										echo('<option value="' . $val['currency_code'] . '">' . $val['description'] . ' ( ' . $val['currency_symbol'] . ' )</option>');
									}
								?>
								</select>
							</div>
						</div>
						<?php if($mode=='invoice'): ?>
						<div class="form-group" data-bind="visible:client_id()>0 && (_info.uninvoiced_hours()>0 || _info.uninvoiced_expenses()>0)">
							<div class="col-md-12 ar">
								<div class="alert alert-warning col-md-9 pull-right">
									<p id="import_data" class="pull-left"></p>
									<span class="text-danger cp" data-bind="click:projects_invoices,enable:client_id()>0"><u id="import-label"></u></span>
								</div>
								<button type="button" id="btn-import" data-bind="click:projects_invoices" class="btn btn-sm btn-success col-md-9 pull-right" >
									<span class="icon-download-alt icon-white"></span>
									<b><?php echo lang('IMPORT_EXPENSE'); ?></b>
									<!-- ko if:_info.uninvoiced_hours()>0 -->
										<div data-bind="text:'<?php echo lang('UNINVOICED_HOURS'); ?> : '+ _info.uninvoiced_hours()" style="font-size:11px;"></div>
									<!-- /ko -->
									<!-- ko if:_info.uninvoiced_expenses()>0 -->
										<div data-bind="html:'<?php echo lang('UNINVOICED_EXPENSES'); ?> :'+_info.uninvoiced_expenses() + ' ' + _info.currency()" style="font-size:11px;"></div>
									<!-- /ko -->
								</button>
							</div>
						</div>
						<div class="row">
								
						</div>
						<?php endif; ?>			
					</div>
				</div>
			</div>
			<div class="row hidden-xs hidden-sm">
				<div class="col-md-12">
					<table cellpadding="0" cellspacing="0" border="0" class="table est-detail-tbl">
						<thead>
							<tr class="well nb thead-colored nb">
								<th style="width:50px;"></th>
								<th class="col-md-6"><?php echo lang('PRODUCT_SERVICE'); ?></th>
								<th class="text-center"><?php echo lang('QUANTITY_HOURS'); ?></th>
								<th class="text-center"><?php echo lang('RATE_UNIT'); ?></th>
								<th class="text-center"><?php echo lang('AMOUNT'); ?></th>
								<th class="text-center" data-bind="visible:is_tax_enable()"><!-- ko if:tax1_enable --><?php echo lang('TAX'); ?> (1<!-- ko if:tax2_enable -->,2<!-- /ko --><!-- ko if:tax3_enable -->,3<!-- /ko -->)<!-- /ko --></th>
							</tr>
						</thead>
						<tbody data-bind="sortable:{data: details, afterMove:sortDetail}">
							<tr class="box-condensed">
								<td class="vam control dbr dbt dbb">
									<!-- ko if:$parent.details().length>1 -->
										<span class="cm icon-random"></span>
										<span class="cp icon-remove" data-bind="click:$parent.deleteDetail"></span>
									<!-- /ko -->	
								</td>
								<td class="dbr dbt dbb">
									<input class="form-control db-control" type="text" data-bind="value:description, event:{blur:function(data, event){$parent.addNewDetail($index, data, event)}}" />
								</td>
								<td class="dbr dbt dbb">
									<input class="form-control db-control ar" type="text" data-bind="value:quantity, numberOnly:true" />
								</td>
								<td class="dbr dbt dbb">									
									<input class="form-control db-control ar" type="text" data-bind="value:rate,numberOnly:true" />								
								</td>
								<td class="bg-grey ar" data-bind="currency:{val:amount, symbol:$parent._info.currency}">
								</td>
								<td class="text-center" data-bind="visible:$parent.is_tax_enable()">
									<input type="checkbox" data-bind="checked:is_tax1, visible:$parent.tax1_enable" />
									<input type="checkbox" data-bind="checked:is_tax2, visible:$parent.tax2_enable" />
									<input type="checkbox" data-bind="checked:is_tax3, visible:$parent.tax3_enable" />
								</td>
							</tr>
						</tbody>
						<tbody class="no-border">
							<tr>
								<td></td>
								<td colspan="1">
									<span class="gray"><?php echo lang('NOTES_VISIBLE_TO_EVERY_ONE'); ?></span><br>
									<span><textarea class="notes form-control" rows="2" placeholder="Notes" data-bind="value:notes"></textarea></span>
								</td>
								<td class="ar vam" colspan="2">
									<strong><?php echo lang('SUB_TOTAL'); ?></strong>
								</td>
								<td class="ar vam">
									<strong class="sub-total" data-bind="currency:{val:sub_total, symbol:_info.currency}"></strong>
								</td>
								<td data-bind="visible:is_tax_enable()"></td>
							</tr>
							<tr>
								<td colspan="4">
									<div class="pull-right">
										<div class="pull-left">
											<div class="checkbox">
												<input type="checkbox" data-bind="checked:is_discount"/><?php echo lang('DISCOUNT'); ?>
											</div>
										</div>
										<div class="pull-left" style="margin-left:10px;" data-bind="visible:is_discount">
											<div class="input-group">
										      <input class="ar form-control input-small" type="text" data-bind="value:discount_value, numberOnly:true"/>
										      <div class="input-group-btn">
										        <select id="dtype" class="input-small" data-bind="value:discount_type,selectpicker: true">
													<option value="P">%</option>
													<option value="A" data-bind="html:_info.currency()"></option>
												</select>
										      </div>
											</div>
										</div>										
										<div class="clearfix"></div>
									</div>
								</td>
								<td class="ar">
									<div style="margin-top:5px;">
										<!-- ko if:is_discount-->
										<span data-bind="currency:{val:discount_amount, symbol:_info.currency}"></span>
										<!-- /ko -->
										<!-- ko ifnot:is_discount -->
										<span>0.00</span>
										<!-- /ko -->
									</div>
								</td>
								<td data-bind="visible:is_tax_enable()"></td>
							</tr>
							<!-- ko if:tax1_enable-->
							<tr>
								<td colspan="4" class="ar vam">
									<span><?php echo lang('BEFORE_TAX');?></span>
								</td>
								<td class="ar vam">
									<div style="margin-top:5px;"><span data-bind="currency:{val:before_tax, symbol:_info.currency}"></span></div>
								</td>
								<td data-bind="visible:is_tax_enable()"></td>
							</tr>
							<!-- /ko -->
							<tr>
								<td colspan="4">						
									<div class="pull-right">
										<div class="pull-left" style="margin-left:10px;">
											<div class="checkbox">
												<input type="checkbox" data-bind="checked:tax1_enable" /><?php echo lang('TAX1'); ?>
											</div>
										</div>
										<!-- ko if:tax1_enable -->
										<div class="pull-left" style="margin-left:10px;">
											<input class="form-control input-small" maxlength="30" type="text" data-bind="value:tax1_name, enable:tax1_enable" placeholder="<?php echo lang('TAX_NAME'); ?>" />
										</div>
										<div class="pull-left" style="margin-left:10px;">
											<div class="input-group input-small">
		       									<input class="form-control ar p5" type="text" placeholder="0.00" data-bind="value:tax1_percentage, numberOnly:true, enable:tax1_enable" />
		        								<span class="input-group-addon">%</span>
		    								</div>
	    								</div>
										<!-- /ko -->
									</div>								
								</td>
								<td class="ar vam">
									<span data-bind="currency:{val:tax1_amount, symbol:_info.currency}"></span>
								</td>
								<td data-bind="visible:is_tax_enable()"></td>
							</tr>
							<!-- ko if:tax1_enable -->
							<tr>
								<td colspan="4">		
									<div class="pull-right">
										<div class="pull-left" style="margin-left:10px;">
											<div class="checkbox">
												<input type="checkbox" data-bind="checked:tax2_enable" /><?php echo lang('TAX2'); ?>
											</div>
										</div>
										<!-- ko if:tax2_enable -->
										<div class="pull-left" style="margin-left:10;">
											<input class="form-control input-small" maxlength="30" type="text" data-bind="value:tax2_name, enable:tax1_enable" placeholder="<?php echo lang('TAX_NAME'); ?>" />
										</div>
										<div class="pull-left" style="margin-left:10px;">
											<div class="input-group input-small">
		       									<input class="form-control ar p5" type="text" placeholder="0.00" data-bind="value:tax2_percentage, numberOnly:true, enable:tax2_enable" />
		        								<span class="input-group-addon">%</span>
		    								</div>
	    								</div>
										<!-- /ko -->
									</div>
								</td>
								<td class="ar vam">
									<span data-bind="currency:{val:tax2_amount, symbol:_info.currency}"></span>
								</td>
								<td data-bind="visible:is_tax_enable()"></td>
							</tr>
							<!-- /ko -->
							<!-- ko if:tax2_enable -->
							<tr>
								<td colspan="4">		
									<div class="pull-right">
										<div class="pull-left" style="margin-left:10px;">
											<div class="checkbox">
												<input type="checkbox" data-bind="checked:tax3_enable" /><?php echo lang('TAX3'); ?>
											</div>
										</div>
										<!-- ko if:tax3_enable -->
										<div class="pull-left" style="margin-left:10px;">
											<input class="form-control input-small" maxlength="30" type="text" data-bind="value:tax3_name, enable:tax1_enable" placeholder="<?php echo lang('TAX_NAME'); ?>" />
										</div>
										<div class="pull-left" style="margin-left:10px;">
											<div class="input-group input-small">
		       									<input class="form-control ar p5" type="text" placeholder="0.00" data-bind="value:tax3_percentage, numberOnly:true, enable:tax3_enable" />
		        								<span class="input-group-addon">%</span>
		    								</div>
	    								</div>
										<!-- /ko -->
									</div>
								</td>
								<td class="ar vam">
									<span data-bind="currency:{val:tax3_amount, symbol:_info.currency}"></span>
								</td>
								<td data-bind="visible:is_tax_enable()"></td>
							</tr>
							<!-- /ko -->
						</tbody>
						<tfoot>
							<tr>
								<td colspan="4" class="ar vam">
									<strong class="nm"><?php echo lang('TOTAL'); ?></strong>
								</td>
								<td class="ar vam">
									<strong class="nm">
										<span data-bind="currency:{val:_info.total, symbol:_info.currency}"></span>
									</strong>
								</td>
								<td data-bind="visible:is_tax_enable()">
									<span data-bind="css:{dn:tax1_enable()!=true}"></span>
								</td>
							</tr>
						</tfoot>
					</table>
				</div>
			</div>
			<div class="row visible-xs visible-sm">
				<div class="col-md-12">
					<div class="row"></div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="btn-group pull-right">
				<button type="button" data-bind="click:save" class="btn btn-sm btn-success"><i class="icon icon-save icon-white"></i>&nbsp;&nbsp;<?php echo lang('SAVE'); ?></button>
				<button class="btn btn-primary btn-sm" data-bind="click:cancelEdit" name="cancel">
					<span class="icon-remove-sign icon-white"></span>
				</button>
			</div>
		</div>
	</div>
	<!-- /ko -->
</div>
<?php
		break;
		case '':
		break;
		default:
			echo '<h1>Template ' . $name . ' not exists please check the template name.</h1>';
		break;
	}
?>

